<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::AnnNormalizationParameters Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('structmelon_1_1_ann_normalization_parameters.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmelon_1_1_ann_normalization_parameters-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::AnnNormalizationParameters Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>struct containing the parameters required for input normalization and output denormalization of a feedforward neural network  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_ann_properties_8h_source.html">AnnProperties.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9cbed7c9cf95196ed059a5fdd41d2a10" id="r_a9cbed7c9cf95196ed059a5fdd41d2a10"><td class="memItemLeft" align="right" valign="top">std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9cbed7c9cf95196ed059a5fdd41d2a10">inputLowerBound</a></td></tr>
<tr class="separator:a9cbed7c9cf95196ed059a5fdd41d2a10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab68e5a77ffed12abe0d592651fcaf098" id="r_ab68e5a77ffed12abe0d592651fcaf098"><td class="memItemLeft" align="right" valign="top">std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab68e5a77ffed12abe0d592651fcaf098">inputUpperBound</a></td></tr>
<tr class="separator:ab68e5a77ffed12abe0d592651fcaf098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a858157c7ba40e5d6c1e325ad5d719a3a" id="r_a858157c7ba40e5d6c1e325ad5d719a3a"><td class="memItemLeft" align="right" valign="top">std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a858157c7ba40e5d6c1e325ad5d719a3a">outputDenormalizationFactor</a></td></tr>
<tr class="separator:a858157c7ba40e5d6c1e325ad5d719a3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e30539514daa68b2b23dad410a32010" id="r_a2e30539514daa68b2b23dad410a32010"><td class="memItemLeft" align="right" valign="top">std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2e30539514daa68b2b23dad410a32010">outputDenormalizationOffset</a></td></tr>
<tr class="separator:a2e30539514daa68b2b23dad410a32010"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>struct containing the parameters required for input normalization and output denormalization of a feedforward neural network </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a9cbed7c9cf95196ed059a5fdd41d2a10" name="a9cbed7c9cf95196ed059a5fdd41d2a10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cbed7c9cf95196ed059a5fdd41d2a10">&#9670;&#160;</a></span>inputLowerBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;double&gt; melon::AnnNormalizationParameters::inputLowerBound</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containing the lower bounds of the input (Min-Max-Normalization is used for input) </p>

</div>
</div>
<a id="ab68e5a77ffed12abe0d592651fcaf098" name="ab68e5a77ffed12abe0d592651fcaf098"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab68e5a77ffed12abe0d592651fcaf098">&#9670;&#160;</a></span>inputUpperBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;double&gt; melon::AnnNormalizationParameters::inputUpperBound</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containing the upper bounds of the input (Min-Max-Normalization is used for input) </p>

</div>
</div>
<a id="a858157c7ba40e5d6c1e325ad5d719a3a" name="a858157c7ba40e5d6c1e325ad5d719a3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a858157c7ba40e5d6c1e325ad5d719a3a">&#9670;&#160;</a></span>outputDenormalizationFactor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;double&gt; melon::AnnNormalizationParameters::outputDenormalizationFactor</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containing denormalizaiton factors <em>a</em> of the output for any linear denormlaization x = a*x_norm + b </p>

</div>
</div>
<a id="a2e30539514daa68b2b23dad410a32010" name="a2e30539514daa68b2b23dad410a32010"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e30539514daa68b2b23dad410a32010">&#9670;&#160;</a></span>outputDenormalizationOffset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;double&gt; melon::AnnNormalizationParameters::outputDenormalizationOffset</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vector containing denormalizaiton offsets <em>b</em> of the output for any linear denormlaization x = a*x_norm + b </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/inc/<a class="el" href="_ann_properties_8h_source.html">AnnProperties.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="structmelon_1_1_ann_normalization_parameters.html">AnnNormalizationParameters</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
